Skip to main content
GET
/
entitlements
List entitlements
curl --request GET \
  --url https://sandbox-api.finpace.example/v1/entitlements \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "entitlementId": "ent_01JQ9KSC2NQJ6X5CC8CKBRQP7Z",
      "subjectId": "usr_239809",
      "resourceType": "agreement",
      "action": "payment.initiate",
      "scope": "owning-party",
      "resourceId": "agr_01JQ9KQ2TX9H3FXA84W2T44GM6",
      "status": "active",
      "approvalState": "approved"
    }
  ],
  "pagination": {
    "pageSize": 50,
    "nextPageToken": "eyJvZmZzZXQiOjUwfQ=="
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Query Parameters

subjectId
string
resourceId
string
pageSize
integer
default:50

Maximum number of records to return.

Required range: 1 <= x <= 200
pageToken
string

Opaque continuation token returned by a previous page.

Response

200 - application/json

Entitlements returned

items
object[]
pagination
object